import { MenuComponent } from './menu/menu.component';
import { OrganizationDetailComponent } from './organizations/detail/organization-detail.component';
import { OrganizationFormComponent } from './organizations/edit/organization-form.component';
import { OrganizationsComponent } from './organizations/list/organizations.component';
import { PaginatorComponent } from './paginator/paginator.component';
import { ResourceDetailComponent } from './resources/detail/resource-detail.component';
import { ResourceFormComponent } from './resources/edit/resource-form.component';
import { ResourcesComponent } from './resources/list/resources.component';
import { WelcomeComponent } from './welcome/welcome.component';
import { BackButtonComponent } from './back-button/back-button.component';
import { CrudButtonsComponent } from './crud-buttons/crud-buttons.component';
import { FormatsComponent } from './formats/list/formats.component';
import { FormatDetailComponent } from './formats/detail/format-detail.component';
import { FormatFormComponent } from './formats/edit/format-form.component';
import { ImageUploadComponent } from './image-upload/image-upload.component';
import { NotificationsComponent } from './notifications/notifications.component';
import { LogsDataComponent } from './logs-dashboard/report/logs-data/logs-data.component';
import { LogsGraphComponent } from './logs-dashboard/report/logs-graph/logs-graph.component';
import { LogsSessionsComponent } from './logs-dashboard/logs-sessions/logs-sessions.component';
import { LogsSlugsComponent } from './logs-dashboard/logs-slugs/logs-slugs.component';
import { LogsPreReportComponent } from './logs-dashboard/report/logs-pre-report/logs-pre-report.component';
import { LogsReportComponent } from './logs-dashboard/report/logs-report/logs-report.component';
import { LogsHomeComponent } from './logs-dashboard/logs-home/logs-home.component';

export {
  MenuComponent,
  OrganizationDetailComponent,
  OrganizationFormComponent,
  OrganizationsComponent,
  PaginatorComponent,
  ResourceDetailComponent,
  ResourceFormComponent,
  ResourcesComponent,
  WelcomeComponent,
  BackButtonComponent,
  CrudButtonsComponent,
  FormatsComponent,
  FormatDetailComponent,
  FormatFormComponent,
  ImageUploadComponent,
  NotificationsComponent,
  LogsDataComponent,
  LogsGraphComponent,
  LogsSessionsComponent,
  LogsSlugsComponent,
  LogsPreReportComponent,
  LogsReportComponent,
  LogsHomeComponent,
};

// tslint:disable-next-line:variable-name
export const AppComponents = [
  MenuComponent,
  OrganizationDetailComponent,
  OrganizationFormComponent,
  OrganizationsComponent,
  PaginatorComponent,
  ResourceDetailComponent,
  ResourceFormComponent,
  ResourcesComponent,
  WelcomeComponent,
  BackButtonComponent,
  CrudButtonsComponent,
  FormatsComponent,
  FormatDetailComponent,
  FormatFormComponent,
  ImageUploadComponent,
  NotificationsComponent,
  LogsDataComponent,
  LogsGraphComponent,
  LogsSessionsComponent,
  LogsSlugsComponent,
  LogsPreReportComponent,
  LogsReportComponent,
  LogsHomeComponent,
];
